| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2492_original.h File Reference

Go to the source code of this file.

## Functions
int32_t | read_LTC2492 (char channel, char config)
void | initialize (void)
void | display (void)
void | calibrate (void)
void | read_calibration (void)
float | type_K_V2C (float tc_voltage, float cj_temp)

## Macros
#define | CH0_1 0b10101000
#define | CH2_3 0b10101001
#define | CH0SE 0b10110000
#define | CH1SE 0b10111001
#define | CH2SE 0b10110000
#define | CH3SE 0b10111000
#define | NO_CH 0b10100000
#define | VIN 0b10000000
#define | PTAT 0b11000000
#define | R50 0b10010000
#define | R55 0b10000000
#define | R60 0b10100000
#define | SLOW 0b10000000
#define | FAST 0b10001000

## Function Documentation

## ◆ calibrate()

void calibrate | ( | void |  | ) |

## ◆ display()

void display | ( | void |  | ) |

## ◆ initialize()

void initialize | ( | void |  | ) |

## ◆ read_calibration()

void read_calibration | ( | void |  | ) |

## ◆ read_LTC2492()

int32_t read_LTC2492 | ( | char | channel,
|  | char | config
| ) |  |

## ◆ type_K_V2C()

float type_K_V2C | ( | float | tc_voltage,
|  | float | cj_temp
| ) |  |

## Macro Definition Documentation

## ◆ CH0_1

#define CH0_1 0b10101000

Definition at line 55 of file LTC2492_original.h.

## ◆ CH0SE

#define CH0SE 0b10110000

Definition at line 57 of file LTC2492_original.h.

## ◆ CH1SE

#define CH1SE 0b10111001

Definition at line 58 of file LTC2492_original.h.

## ◆ CH2_3

#define CH2_3 0b10101001

Definition at line 56 of file LTC2492_original.h.

## ◆ CH2SE

#define CH2SE 0b10110000

Definition at line 59 of file LTC2492_original.h.

## ◆ CH3SE

#define CH3SE 0b10111000

Definition at line 60 of file LTC2492_original.h.

## ◆ FAST

#define FAST 0b10001000

Definition at line 74 of file LTC2492_original.h.

## ◆ NO_CH

#define NO_CH 0b10100000

Definition at line 61 of file LTC2492_original.h.

## ◆ PTAT

#define PTAT 0b11000000

Definition at line 65 of file LTC2492_original.h.

## ◆ R50

#define R50 0b10010000

Definition at line 68 of file LTC2492_original.h.

## ◆ R55

#define R55 0b10000000

Definition at line 69 of file LTC2492_original.h.

## ◆ R60

#define R60 0b10100000

Definition at line 70 of file LTC2492_original.h.

## ◆ SLOW

#define SLOW 0b10000000

Definition at line 73 of file LTC2492_original.h.

## ◆ VIN

#define VIN 0b10000000

Definition at line 64 of file LTC2492_original.h.